When "Reply with Template" is executed for mail with "From: <>", yields error: "Sending of Message Failed"

RESOLVED FIXED in Thunderbird 46.0

Status

defect
RESOLVED FIXED
12 years ago
4 years ago

People

(Reporter: fuhrmanator, Assigned: mkmelin)

Tracking

unspecified
Thunderbird 46.0

Thunderbird Tracking Flags

(thunderbird45 fixed, thunderbird46 fixed)

Details

Attachments

(2 attachments, 1 obsolete attachment)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9
Build Identifier: version 2.0.0.9 (20071031)

Replying with template to null "from" should probably be handled better. Here are the problems with the current behavior:

1. The dialog is not clear which account, filter, etc. caused the error.
2. It requires user intervention to dismiss the dialog, thereby blocking all automated filtering while dialog is up.
3. It makes no sense to attempt a reply to a null from address - probably the filter action should check for this.

I will attach a screen shot of the dialog, but it says:
> Sending of message failed.
> No recipients were specified. Please enter a recipient or newsgroup in the addressing area.
> [OK]

Filter log:
Applied filter "Test null from filter" to message from (null) - Returned Mail at 2007-11-22 22:00:36 replied

Munged headers of mail with null "from" that provoked error:
From - Thu Nov 22 22:24:38 2007
X-Mozilla-Status: 0001
X-Mozilla-Status2: 10000000
Delivered-To: x
Received: by 10.100.208.13 with SMTP id f13cs488658ang;
        Thu, 22 Nov 2007 19:00:37 -0800 (PST)
Received: by 10.114.79.1 with SMTP id c1mr2693999wab.1195786836842;
        Thu, 22 Nov 2007 19:00:36 -0800 (PST)
Return-Path: <>
Received: from mail-kr.bigfoot.com (mail-kr.bigfoot.com [211.115.216.222])
        by mx.google.com with SMTP id l28si2038837waf.2007.11.22.19.00.35;
        Thu, 22 Nov 2007 19:00:36 -0800 (PST)
Received-SPF: pass (google.com: best guess record for domain of mail-kr.bigfoot.com designates 211.115.216.222 as permitted sender) client-ip=211.115.216.222;
Authentication-Results: mx.google.com; spf=pass (google.com: best guess record for domain of mail-kr.bigfoot.com designates 211.115.216.222 as permitted sender) smtp.mail=
Date: Thu, 22 Nov 2007 19:00:36 -0800 (PST)
Message-Id: <47464254.1cbc720a.0e25.0277SMTPIN_ADDED@mx.google.com>
Received: from mail2 ([62.96.6.104])
	by BFLITEMAIL-KR6.bigfoot.com (LiteMail v3.03(BFLITEMAIL-KR6)) with SMTP id 0711222200_BFLITEMAIL-KR6_972117_6465628;
	Thu, 22 Nov 2007 22:00:51 -0500 EST
To: x
Subject: Returned Mail

See also bug 404264 (null from address causes junk mail filters to stop).

Reproducible: Always

Steps to Reproduce:
1. Create a filter to match anything, with an action to "Reply using Template", and make sure template exists.
2. Make sure a message with a null "from" (sender) exists (typically it's a Delivery Status Notification message)
3. Run filter on folder with message with null "from"
Actual Results:  
Error dialog appears, stops filter processing.

Expected Results:  
Filter should not attempt the reply step if the original sender is null. Filter processing should maybe continue with other filter actions, and include a message in filter log (suggestion).

A workaround is to add a condition to the filter to also check that the "From" contains an "@". However, this workaround causes the filter NOT to execute at all, if a null From exists. In some situations, a filter may have several actions and it may be useful to do the other actions, even if the "from" is null.

Note that sometimes the from is "<>", sometimes it is null, depending on the headers. I have not considered all the possible ways that mailers do this. Again, see bug 404264 for more discussion about null sender fields.
This bug's behavior was observed with Tb 2.0.0.6 and Tb latest-trunk(2007/11/18 build), on MS Win-XP. Confirming.
Following improvements may be a solution of this bug.
 - No send action when null To: in auto-reply
 - Error message in filter log
Status: UNCONFIRMED → NEW
Ever confirmed: true
Blocks: 405068
OS: Windows XP → All
Hardware: PC → All
No longer blocks: 405068
Assignee: nobody → mkmelin+mozilla
Component: General → Filters
Product: Thunderbird → MailNews Core
Posted patch proposed fix (obsolete) — Splinter Review
This is on top on one of my other related patches, so i'll hold on asking for review.
Status: NEW → ASSIGNED
Attachment #799046 - Attachment is obsolete: true
Comment on attachment 8708821 [details] [diff] [review]
bug405063_reply_with_template_filter_no_from.patch

LGTM
Attachment #8708821 - Flags: review?(rkent) → review+
https://hg.mozilla.org/comm-central/rev/623f54877594 -> FIXED
Status: ASSIGNED → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → Thunderbird 46.0
Comment on attachment 8708821 [details] [diff] [review]
bug405063_reply_with_template_filter_no_from.patch

[Approval Request Comment]
[Describe test coverage new/current, TreeHerder]: xpcshell-test
[Risks and why]: low risk
[String/UUID change made/needed]: none
Attachment #8708821 - Flags: approval-comm-aurora?
Attachment #8708821 - Flags: approval-comm-aurora? → approval-comm-aurora+
You need to log in before you can comment on or make changes to this bug.